﻿using Property.Model.Entity.Mall;
using REBORN.Common.AOP;
using System;
using System.Collections.Generic;
using System.Text;

namespace Property.Model.Extend.Mall
{
    /// <summary>
    /// 商品出库申请扩展实体
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "PropertyConnection")]
    public class RB_WarehouseOut_GoodsDetail_Extend : RB_WarehouseOut_GoodsDetail
    {
        /// <summary>
        /// 订单号
        /// </summary>
        public string OrderNo { get; set; }

        /// <summary>
        /// 财务单据id
        /// </summary>
        public int FinanceId { get; set; }

        /// <summary>
        /// 入库单号
        /// </summary>
        public string StockInNum { get; set; }

        /// <summary>
        /// 仓库名称
        /// </summary>
        public string WarehouseName { get; set; }

        /// <summary>
        /// 出库数量
        /// </summary>
        public int Number { get; set; }

        /// <summary>
        /// 出库时间
        /// </summary>
        public DateTime? StockOutDate { get; set; }

        /// <summary>
        /// 重新入库时间
        /// </summary>
        public DateTime? StockInDate { get; set; }

        /// <summary>
        /// 重新入库数量
        /// </summary>
        public int InventoryNum { get; set; }
    }
}
