﻿
using Microsoft.AspNetCore.Mvc;
using REBORN.Common.API;
using REBORN.Common.Plugin;
using Property.Module.FixedAssets;
using System;
using System.IO;
using Property.WebApi.Filter;
using Microsoft.AspNetCore.Cors;
using Property.Model.Extend;
using System.Collections.Generic;
using System.Linq;
using REBORN.Common;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;

namespace Property.WebApi.Controllers.User
{
    [Route("api/[controller]/[action]")]
    [ApiExceptionFilter]
    [ApiController]
    [EnableCors("AllowCors")]
    public class ECWorkFlowController : ControllerBase
    {
        PropertyModule propertyModule = new PropertyModule();


        #region 电商操作耗材入库流程

        /// <summary>
        /// 设置耗材入库流程
        /// </summary>
        /// <returns></returns>
        [HttpPost]
        public ApiResult SetECSuppliesStockInFlow(object request)
        {
            JObject parms1 = JObject.Parse(request.ToString());
            string msg = EncryptionHelper.AesDecrypt(parms1.GetStringValue("msg"), Config.FinanceKey);

            var parms = JObject.Parse(msg.ToString());
            int StockInId = parms.GetInt("StockInId", 0);
            if (StockInId <= 0) {
                return ApiResult.ParamIsNull();
            }
            return propertyModule.SetSuppliesStockInFlow(StockInId);
        }
        #endregion

    }
}
